Bug 738337 - a user without permission to "manage repositories" can create a new repository
a user without permission to "manage repositories" can create a new repository
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
urgent Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: jon30-bugs rhq42
  Show dependency treegraph
 
Reported: 2011-09-14 11:09 EDT by Mike Foley
Modified: 2011-09-29 11:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-29 11:07:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-09-14 11:09:17 EDT
Description of problem:  a user without permission to "manage repositories" can create a new repository


Version-Release number of selected component (if applicable):
rhq 4.1 09/14/2011 build

How reproducible:
100%

Steps to Reproduce:
1.  assign a role to a user without "manage repositories" permission
2.  login with this user.  create a repository
3.
  
Actual results:
ability to create a repository

Expected results:
not able to create a repository

Additional info:
Comment 1 Mike Foley 2011-09-29 09:11:33 EDT
Additional info:  to create a repository ... the keystrokes are  Administration top-level menu, Repository (on lower left side of page), then Create New Button.

Note You need to log in before you can comment on or make changes to this bug.